> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sondercloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Escrever Arquivo

> Cria ou sobrescreve o conteúdo de um arquivo do app

```bash cURL theme={null}
curl -X PUT 'https://api.sondercloud.app/v1/apps/{id}/files/content' \
  -H 'Authorization: Bearer seu_token' \
  -H 'Content-Type: application/json' \
  -d '{
    "path": "/app/index.js",
    "content": "console.log(\"hello world\")"
  }'
```

```json Success theme={null}
{
  "ok": true
}
```

### Parâmetros

**path** `string` *required*

Caminho completo do arquivo a ser criado ou sobrescrito.

**content** `string`

Novo conteúdo do arquivo.

> [!NOTE]
>
> Limite de 2 MB por arquivo.


## API Specification

The full API specification for this endpoint is available in the [documentation index](https://docs.sondercloud.app/llms.txt).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.